petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexAddConeSize

Add the given number of in-edges to this point in the Sieve DAG

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexAddConeSize(DM dm, PetscInt p, PetscInt size)

Not collective

### Input Parameters

| mesh | - The DMPlex
| p | - The Sieve point, which must lie in the chart set with DMPlexSetChart()
| size | - The additional cone size for point p

### Output Parameter

### Note

This should be called after DMPlexSetChart().

### See Also

DMPlexCreate(), DMPlexSetConeSize(), DMPlexGetConeSize(), DMPlexSetChart()

Level:beginner
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages